Package com.microsoft.sqlserver.jdbc

# Class SQLServerSavepoint

java.lang.Object
com.microsoft.sqlserver.jdbc.SQLServerSavepoint

All Implemented Interfaces:
  `ISQLServerSavepoint`, `Serializable`, `Savepoint`

public final class SQLServerSavepoint extends Object implements ISQLServerSavepoint
Provides an implementation of JDBC Interface java.sql.Savepoint. A savepoint is checkpoint to which a transaction can be rolled back. Savepoints are defined relative to a connection.F

The API javadoc for JDBC API methods that this class implements are not repeated here. Please see Sun's JDBC API interfaces javadoc for those details.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SQLServerSavepoint(SQLServerConnection con, String sName)`
Constructs a SQLServerSavepoint.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Returns the savepoint label
`int`
`getSavepointId()`
`String`
`getSavepointName()`
Returns the savepoint name
`boolean`
`isNamed()`
Returns if the savepoint label is null

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SQLServerSavepoint

public SQLServerSavepoint(SQLServerConnection con, String sName)
Constructs a SQLServerSavepoint.

Parameters:
  `con` - the connection
  `sName` - the savepoint name

## Method Details

### getSavepointName

public String getSavepointName() throws SQLServerException
Description copied from interface: `ISQLServerSavepoint`
Returns the savepoint name

Specified by:
  `getSavepointName` in interface `ISQLServerSavepoint`
Specified by:
  `getSavepointName` in interface `Savepoint`
Returns:
  the name of savepoint
Throws:
  `SQLServerException`

### getLabel

public String getLabel()
Description copied from interface: `ISQLServerSavepoint`
Returns the savepoint label

Specified by:
  `getLabel` in interface `ISQLServerSavepoint`
Returns:
  the label for Savepoint

### isNamed

public boolean isNamed()
Description copied from interface: `ISQLServerSavepoint`
Returns if the savepoint label is null

Specified by:
  `isNamed` in interface `ISQLServerSavepoint`
Returns:
  true is the savepoint is named. Otherwise, false.

### getSavepointId

public int getSavepointId() throws SQLServerException

Specified by:
  `getSavepointId` in interface `Savepoint`
Throws:
  `SQLServerException`